net.corda.core.math

## Class LinearInterpolator

- net.corda.core.math.LinearInterpolator

- All Implemented Interfaces:
    Interpolator

      public class LinearInterpolator
      implements Interpolator

  Interpolates values between the given data points using straight lines.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LinearInterpolator.Factory`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LinearInterpolator.Factory` | `Factory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinearInterpolator(double[] xs, double[] ys)` Interpolates values between the given data points using straight lines.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `interpolate(double x)`

    - ### Methods inherited from interface net.corda.core.math.Interpolator

      `interpolate`

- - ### Field Detail

    - #### Factory

          public static LinearInterpolator.Factory Factory

  - ### Constructor Detail

    - #### LinearInterpolator

          public LinearInterpolator(double[] xs,
                                    double[] ys)

      Interpolates values between the given data points using straight lines.

  - ### Method Detail

    - #### interpolate

          public double interpolate(double x)